SSL invalid in Chrome 70+


#1

Hey there,

Users with a modern version of Chrome won’t be able to access your website properly, because Google decided to distrust old Symantec certificates.

The error is this: NET::ERR_CERT_SYMANTEC_LEGACY

And this is the background:
https://knowledge.digicert.com/alerts/ALERT2566.html

You might or might not want to change this. Thanks by the way for this amazing app, I really enjoy it! :slight_smile:


#2

Thank you for bringing this up. We are aware of the issue and will hopefully fix it soon.